# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fourteeninch/version'

Gem::Specification.new do |spec|
  spec.name          = "fourteeninch"
  spec.version       = Fourteeninch::VERSION
  spec.authors       = ["Fourteen Inch LLC"]
  spec.email         = ["info@fourteeninch.com"]

  if spec.respond_to?(:metadata)
    # spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server."
  end

  spec.summary       = %q{The Gem for managing Fourteen Inch LLC core data.}
  spec.description   = %q{The Gem for managing Fourteen Inch LLC core data.}
  spec.homepage      = "https://fourteeninch.com"
  spec.license       = "MIT"

  spec.add_dependency 'httparty', '<= 0.11'
  spec.add_dependency 'httmultiparty', '<= 0.3.12'
  spec.add_dependency 'rack'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
end
